function bool = checkSourceCondition(A,x,varargin)
%function bool = checkSourceCondition(A,x,varargin)
% Check if the Source Condition of Grasmair, Haltmeier and Scherzer is 
% fulfilled. That is, if there exists a vector y such that A'*y is in 
% the subdifferential of x (i.e., there is a subgradient w of x which
% lies in the range of A').
% In this case, x is the unique solution to the l^1-minimization 
% problem min ||x||_1 s.t. Ax=b (for any b not equal to zero).
%
% For the list of optional inputs, see source_element.m
%
% $Revision: 92 $
% $Author: dirloren $
% $Date: 2011-04-11 16:20:27 +0200 (Mo, 11. Apr 2011) $

[~,bool] = source_element(A,x,varargin{:});
